<?php
namespace App\Repositories\Interfaces\Website;

use Illuminate\Http\Request;

interface HomeRepositoryInterface
{
    public function index(Request $request);
    public function getHomePageData(): array;

    public function getFaqs(): array;

    public function all_movies(Request $request, $type);
    public function movie_details($slug);
    public function genre_wise_movie(Request $request, $genre_ids, $slug);
    public function country_wise_movie(Request $request, $country_ids, $slug);

    public function all_tv_series(Request $request, $type);
    
    public function tv_series();

    public function series_details($slug);

    public function video_player($slug, $type, $key);

}
